
%define debug_package %{nil}
Name:    tezos-baker-PsRiotum
Version: 22.0
Release: 2
Epoch: 1
Summary: Daemon for baking
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baker-PsRiotum-22.0.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v22.0/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-sapling-params, tezos-client, acl, udev
%description
Daemon for baking
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-baker-PsRiotum
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-baker-PsRiotum %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-baker-PsRiotum %{buildroot}/%{_bindir}/tezos-baker-PsRiotum



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-psriotum.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-psriotum@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baker-psriotum.default %{buildroot}/%{_sysconfdir}/default/tezos-baker-psriotum

install -m 0755 tezos-baker-psriotum-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-baker-PsRiotum
%{_bindir}/tezos-baker-PsRiotum

%{_bindir}/tezos-baker-psriotum-start

%{_unitdir}/tezos-baker-psriotum.service
%{_unitdir}/tezos-baker-psriotum@.service

%{_sysconfdir}/default/tezos-baker-psriotum



%post
%systemd_post tezos-baker-psriotum.service
%systemd_post tezos-baker-psriotum@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-baker-psriotum.service
%systemd_preun tezos-baker-psriotum@.service


%postun
%systemd_postun_with_restart tezos-baker-psriotum.service
%systemd_postun_with_restart tezos-baker-psriotum@.service



